<div class="container --padded">
  <div class="card --basic">
    <h3 class="ui header dividing">
      <% if @searchable.template == "#{role}/hs" %>
        <%= t('report.hs_report_title') %>
      <% elsif @searchable.template == "#{role}/hv" %>
        <%= t('report.hv_report_title') %>
      <% end %>
    </h3>
    <%= render 'reports/filter_detail' %>
  </div>

  <% if @results.length != 0 %>
    <div class="card --table">
      <div class="card__content">
        <table class="ui table striped unstackable">
          <thead>
            <tr>
              <th rowspan="2" class="one wide"><%= t :no_label %></th>
              <th rowspan="2"><%= t('report.house_label') %></th>
              <th rowspan="2" class="center aligned two wide">
                <% if @searchable.template == "#{role}/hs" %>
                  <%= t('report.npeople_survey_label') %>
                <% elsif @searchable.template == "#{role}/hv" %>
                  <%= t('report.npeople_visit_label') %>
                <% end %>
              </th>
              <th rowspan="2" class="center aligned two wide">
                <% if @searchable.template == "#{role}/hs" %>
                  <%= t('report.nsurvey_label') %>
                <% elsif @searchable.template == "#{role}/hv" %>
                  <%= t('report.nvisit_label') %>
                <% end %>
              </th>
              <th colspan="3" class="center aligned four wide"><%= t('report.checked_label') %></th>
            </tr>
            <tr>
              <th class="center aligned"><%= t('report.waiting') %></th>
              <th class="center aligned"><%= t('report.pass') %></th>
              <th class="center aligned"><%= t('report.fail') %></th>
            </tr>
          </thead>
          <tbody>
            <% page = @results.page %>
            <% @results.each_with_index do |result, index| %> 
              <tr>
                <td><%= offset(@searchable.page,Kaminari.config.default_per_page.to_i)+index+1 %></td>
                <td><%= result.house %></td>
                <%= render 'reports/def_row', searchable: @searchable, role: role, result: result %>
              </tr>
            <% end %>
          </tbody>
        </table>
      </div>
      <div class="card__footer">
        <div class="pagination">
          <%= paginate @results %>
        </div>
        <div class="btn-group --right">
          <%= link_to method("reports_#{role}_houses_path").call(
            from_date: revert_date(@searchable.from_date),
            to_date: revert_date(@searchable.to_date),
            date_type: @searchable.date_type,
            vid: @searchable.vid,
            htype: @searchable.htype,
            hospital: @searchable.hospital,
            template: @searchable.template,
            format: "xlsx"
          ), class: "ui button --submit" do %>
            <i class="file excel icon"></i> <%= t('report.export_excel_label') %>
          <% end %>
        </div>
      </div>
    </div>
  <% else %>
    <%= render 'reports/empty' %>
  <% end %>
</div> 

<% content_for :menu_content_title do %>
  <div class="menuFilter-contentLeft__button">
    <button id="toggle_breadcrumb" class="ui button active --toggle">
      <i id="toggle_breadcrumb_icon" class="ellipsis vertical icon"></i>
    </button>
  </div>
  <div class="ui breadcrumb">
    <% if params.fetch('template', nil) == "#{role}/hs" %>
      <%= link_to method("reports_#{role}_health_survey_path").call(from_date: revert_date(@searchable.from_date),
                                        to_date: revert_date(@searchable.to_date),
                                        date_type: @searchable.date_type,
                                        htype: @searchable.htype,
                                        hospital: @searchable.hospital,
                                        template: @searchable.template),
        class: 'section' do %>
        <div class="breadcrumb__label"><%= t('report.hs_title_label') %></div>
      <% end %>
    <% elsif params.fetch('template', nil) == "#{role}/hv" %>
      <%= link_to method("reports_#{role}_home_visit_path").call(from_date: revert_date(@searchable.from_date),
                                        to_date: revert_date(@searchable.to_date),
                                        date_type: @searchable.date_type,
                                        htype: @searchable.htype, 
                                        hospital: @searchable.hospital,
                                        template: @searchable.template),
        class: 'section' do %>
        <div class="breadcrumb__label"><%= t('report.hv_title_label') %></div>
      <% end %>
    <% end %>
    <i class="right angle icon divider"></i>
    <div class="active section"><%= t('report.title_house_label') %></div>
  </div>
<% end %> 